This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 858818 - Review Request: sugar-srilanka - Game about the geography of Sri Lanka [NEEDINFO]
Review Request: sugar-srilanka - Game about the geography of Sri Lanka
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kalpa Welivitigoda
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 13:57 EDT by Danishka Navin
Modified: 2014-06-13 10:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: sugar-srilanka-1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
callkalpa: fedora‑review+
i: needinfo? (callkalpa)
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2012-09-19 13:57:21 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka-1-0.fc17.src.rpm

Description:  Game about the geography of Sri Lanka 
URL: http://activities.sugarlabs.org//en-US/sugar/addon/4600

Fedora Account System Username: snavin
Comment 1 Kalpa Welivitigoda 2013-01-07 11:34:35 EST
I did a scratch build in koji and tested the rpm in sugar-emulator. Works fine.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4845843
Comment 2 Kalpa Welivitigoda 2013-06-04 03:07:16 EDT
Looks good for me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/kalpa/fedora-
     review/858818-sugar-srilanka/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sugar-srilanka-1-0.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sugar-srilanka
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
sugar-srilanka (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    sugar



Provides
--------
sugar-srilanka:
    sugar-srilanka



Source checksums
----------------
http://activities.sugarlabs.org/en-US/sugar/downloads/file/28223/i_know_sri_lanka-1.xo :
  CHECKSUM(SHA256) this package     : 8547b581a73b9b6b1b9f8a23d2e1b4471a5887fa8f9fab9be3792d8084205f21
  CHECKSUM(SHA256) upstream package : 8547b581a73b9b6b1b9f8a23d2e1b4471a5887fa8f9fab9be3792d8084205f21


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -vb 858818
Comment 3 Kalpa Welivitigoda 2013-06-04 03:11:58 EDT
Danishka,

can we have python2-devel in BuildRequires ?
Comment 4 Danishka Navin 2013-06-04 23:14:26 EDT
SPEC file URL: http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka-1-1.fc18.src.rpm

Please note that, I got an warning while running rpmlint.
"strange-permission i_know_sri_lanka-1.xo 0640L"

I have added following entry under %files but no luck.

%attr(644,-,-)%{sugaractivitydir}/IknowSriLanka.activity/
Comment 5 Peter Robinson 2013-06-05 05:03:19 EDT
> Please note that, I got an warning while running rpmlint.
> "strange-permission i_know_sri_lanka-1.xo 0640L"
> 
> I have added following entry under %files but no luck.
> 
> %attr(644,-,-)%{sugaractivitydir}/IknowSriLanka.activity/

Because it's the source file that's got the issues not the files that are installed as part of the build. Check the i_know_sri_lanka-1.xo in ~/rpmbuild/SOURCES or where ever your building it. I suspect "chmod 660 i_know_sri_lanka-1.xo" will likely fix the problem
Comment 6 Danishka Navin 2013-06-05 05:22:44 EDT
Thanks Peter for the point.
664 fixed the issue.

SPEC file URL: http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka.spec

SRPM URL:      http://snavin.fedorapeople.org/packages/sugar-srilanka/sugar-srilanka-1-2.fc18.src.rpm
Comment 7 Kalpa Welivitigoda 2013-06-05 11:20:59 EDT
Package APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/kalpa/fedora-
     review/858818-sugar-srilanka/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sugar-srilanka-1-2.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sugar-srilanka
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
sugar-srilanka (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    sugar



Provides
--------
sugar-srilanka:
    sugar-srilanka



Source checksums
----------------
http://activities.sugarlabs.org/en-US/sugar/downloads/file/28223/i_know_sri_lanka-1.xo :
  CHECKSUM(SHA256) this package     : 8547b581a73b9b6b1b9f8a23d2e1b4471a5887fa8f9fab9be3792d8084205f21
  CHECKSUM(SHA256) upstream package : 8547b581a73b9b6b1b9f8a23d2e1b4471a5887fa8f9fab9be3792d8084205f21


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -vb 858818
Comment 8 Danishka Navin 2013-06-05 12:36:30 EDT
New Package SCM Request
=======================
Package Name: sugar-srilanka
Short Description: Game about the geography of Sri Lanka
Owners: snavin
Branches: f17 f18 f19
InitialCC:
Comment 9 Kalpa Welivitigoda 2013-06-08 09:36:02 EDT
@Danishka

You should set fedora-csv to ?
Comment 10 Danishka Navin 2013-06-08 09:37:52 EDT
ah ok :)
Comment 11 Mario Blättermann 2013-06-08 09:46:41 EDT
"fedora-cvs + will" be set by the guy who creates the Git module for you. You have to set "fedora-cvs ?" if you request such a module.
Comment 12 Jon Ciesla 2013-06-10 07:47:03 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-07-06 13:17:19 EDT
sugar-srilanka-1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-srilanka-1-3.fc19
Comment 14 Fedora Update System 2013-07-06 13:17:31 EDT
sugar-srilanka-1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-srilanka-1-3.fc17
Comment 15 Fedora Update System 2013-07-06 13:17:41 EDT
sugar-srilanka-1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-srilanka-1-3.fc18
Comment 16 Fedora Update System 2013-07-07 20:52:58 EDT
Package sugar-srilanka-1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sugar-srilanka-1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12554/sugar-srilanka-1-3.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-08-05 20:18:19 EDT
sugar-srilanka-1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-08-05 20:24:25 EDT
sugar-srilanka-1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Christopher Meng 2013-08-05 21:44:46 EDT
Wait,

Why can I see this?

    /usr/bin/env
Comment 20 Peter Robinson 2014-06-13 09:58:13 EDT
> Why can I see this?
> 
>     /usr/bin/env

See it where? Spec looks fine to me
Comment 21 Michael Schwendt 2014-06-13 10:18:56 EDT
http://koji.fedoraproject.org/koji/rpminfo?rpmID=5191832

| Requires 	
| /usr/bin/env
| /usr/bin/python

Note You need to log in before you can comment on or make changes to this bug.